{% extends 'layout/app.twig' %}

{% block pageContent %}
<div class="container">
    <section class="wow fadeIn register">
        <div class="container wow fadeInUp">
            <div class="section-header">
                <h2>Alle verzoeken</h2>
                <p>Hier ziet u iedereen die toegang gevraagd heeft tot uw kanaal.</p>
            </div>
        </div>
    </section>

    <section id="organisaties">
        <table class="styled-table">
            <thead>
            <tr>
                <th>Naam</th>
                <th>Beschrijving</th>
                <th>Actie</th>
            </tr>
            </thead>
            <tbody>
            <!-- and so on... -->
            {% if users|length > 0 %}
                {% for index, user in users %}
                    <tr class="{{ (index % 2 == 0) ? 'active-row' : 'odd' }}">
                        <td class="">{{ user.name }}</td>
                        <td class="">{{ user.description }}</td>
                        <td class="">
                            <a href="/dashboard/organisations/{{ orgId }}/channels/{{ channelId }}/requests/allow?userId={{ user.id }}">Toestaan</a>
                            <a href="/dashboard/organisations/{{ orgId }}/channels/{{ channelId }}/requests/deny?userId={{ user.id }}">Weigeren</a>
                        </td>
                    </tr>
                {% endfor %}
            {% else %}
                <tr class="active-row">
                    <td class="" colspan="8">Geen verzoeken.</td>
                </tr>
            {% endif %}
            </tbody>
        </table>
    </section>
</div>

{% endblock %}